%define major 		23
%define cheesemajor	7

%define libname		%mklibname %{name}-gtk %{major}
%define develname	%mklibname -d %{name}-gtk

%define girmajor	3.0
%define girname		%mklibname %{name}-gtk-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		cheese
Version:	3.14.2
Release:	%mkrel 2
Summary:	A GNOME application for taking pictures and videos from a webcam
License:	GPLv2+
Group:		Video/Utilities
URL:		https://wiki.gnome.org/Apps/Cheese
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gnome-common
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(clutter-1.0) >= 1.13.2
BuildRequires:	pkgconfig(clutter-gst-2.0) >= 1.9.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 0.91.8
BuildRequires:	pkgconfig(gdk-3.0) >= 3.3.6
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.32.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.6
BuildRequires:	pkgconfig(gnome-video-effects)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(pangocairo) >= 1.28.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	gnome-doc-utils >= 0.20
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	vala >= 0.13.2
Requires:	gnome-video-effects
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good



# TODO update features once added upstream
%description
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library part of %{name}

%description -n %{libname}
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{develname}
Group:		Development/C
Summary:	Developent files for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-gtk-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Provides:	%{mklibname %{name}-gir %{girmajor}} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name} --all-name

%define launchers %{_sysconfdir}/dynamic/launchers/webcam

# dynamic support
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=Webcam Photobooth
Comment=Cheese Webcam Photobooth using \$devicename
TryExec=cheese
Exec=cheese
Terminal=false
Icon=cheese
Type=Application
StartupNotify=true
EOF

%post
update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %{launchers}/%name.desktop 60
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %{launchers}/%name.desktop 60

%postun
if [ "$1" = "0" ]; then
   update-alternatives --remove webcam.kde.dynamic %{launchers}/%name.desktop
   update-alternatives --remove webcam.gnome.dynamic %{launchers}/%name.desktop
fi

%files -f %{name}.lang
%config(noreplace) %{launchers}/*.desktop
%{_bindir}/*
/usr/share/help/C/cheese/burst-mode.page
/usr/share/help/C/cheese/effects-apply.page
/usr/share/help/C/cheese/figures/cheese-delete.png
/usr/share/help/C/cheese/figures/cheese-effects.png
/usr/share/help/C/cheese/figures/cheese-introduction.png
/usr/share/help/C/cheese/figures/cheese-record.png
/usr/share/help/C/cheese/figures/cheese-save.png
/usr/share/help/C/cheese/figures/cheese-take.png
/usr/share/help/C/cheese/figures/cheese.png
/usr/share/help/C/cheese/figures/effects.png
/usr/share/help/C/cheese/figures/image-properties.png
/usr/share/help/C/cheese/figures/settings.png
/usr/share/help/C/cheese/index.page
/usr/share/help/C/cheese/introduction.page
/usr/share/help/C/cheese/legal.xml
/usr/share/help/C/cheese/photo-delete.page
/usr/share/help/C/cheese/photo-save.page
/usr/share/help/C/cheese/photo-take.page
/usr/share/help/C/cheese/photo-view.page
/usr/share/help/C/cheese/pref-countdown.page
/usr/share/help/C/cheese/pref-flash.page
/usr/share/help/C/cheese/pref-fullscreen.page
/usr/share/help/C/cheese/pref-image-properties.page
/usr/share/help/C/cheese/pref-resolution.page
/usr/share/help/C/cheese/video-record.page
/usr/share/help/ca/cheese/burst-mode.page
/usr/share/help/ca/cheese/effects-apply.page
/usr/share/help/ca/cheese/figures/cheese-delete.png
/usr/share/help/ca/cheese/figures/cheese-effects.png
/usr/share/help/ca/cheese/figures/cheese-introduction.png
/usr/share/help/ca/cheese/figures/cheese-record.png
/usr/share/help/ca/cheese/figures/cheese-save.png
/usr/share/help/ca/cheese/figures/cheese-take.png
/usr/share/help/ca/cheese/figures/cheese.png
/usr/share/help/ca/cheese/figures/effects.png
/usr/share/help/ca/cheese/figures/image-properties.png
/usr/share/help/ca/cheese/figures/settings.png
/usr/share/help/ca/cheese/index.page
/usr/share/help/ca/cheese/introduction.page
/usr/share/help/ca/cheese/legal.xml
/usr/share/help/ca/cheese/photo-delete.page
/usr/share/help/ca/cheese/photo-save.page
/usr/share/help/ca/cheese/photo-take.page
/usr/share/help/ca/cheese/photo-view.page
/usr/share/help/ca/cheese/pref-countdown.page
/usr/share/help/ca/cheese/pref-flash.page
/usr/share/help/ca/cheese/pref-fullscreen.page
/usr/share/help/ca/cheese/pref-image-properties.page
/usr/share/help/ca/cheese/pref-resolution.page
/usr/share/help/ca/cheese/video-record.page
/usr/share/help/cs/cheese/burst-mode.page
/usr/share/help/cs/cheese/effects-apply.page
/usr/share/help/cs/cheese/figures/cheese-delete.png
/usr/share/help/cs/cheese/figures/cheese-effects.png
/usr/share/help/cs/cheese/figures/cheese-introduction.png
/usr/share/help/cs/cheese/figures/cheese-record.png
/usr/share/help/cs/cheese/figures/cheese-save.png
/usr/share/help/cs/cheese/figures/cheese-take.png
/usr/share/help/cs/cheese/figures/cheese.png
/usr/share/help/cs/cheese/figures/effects.png
/usr/share/help/cs/cheese/figures/image-properties.png
/usr/share/help/cs/cheese/figures/settings.png
/usr/share/help/cs/cheese/index.page
/usr/share/help/cs/cheese/introduction.page
/usr/share/help/cs/cheese/legal.xml
/usr/share/help/cs/cheese/photo-delete.page
/usr/share/help/cs/cheese/photo-save.page
/usr/share/help/cs/cheese/photo-take.page
/usr/share/help/cs/cheese/photo-view.page
/usr/share/help/cs/cheese/pref-countdown.page
/usr/share/help/cs/cheese/pref-flash.page
/usr/share/help/cs/cheese/pref-fullscreen.page
/usr/share/help/cs/cheese/pref-image-properties.page
/usr/share/help/cs/cheese/pref-resolution.page
/usr/share/help/cs/cheese/video-record.page
/usr/share/help/de/cheese/burst-mode.page
/usr/share/help/de/cheese/effects-apply.page
/usr/share/help/de/cheese/figures/cheese-delete.png
/usr/share/help/de/cheese/figures/cheese-effects.png
/usr/share/help/de/cheese/figures/cheese-introduction.png
/usr/share/help/de/cheese/figures/cheese-record.png
/usr/share/help/de/cheese/figures/cheese-save.png
/usr/share/help/de/cheese/figures/cheese-take.png
/usr/share/help/de/cheese/figures/cheese.png
/usr/share/help/de/cheese/figures/effects.png
/usr/share/help/de/cheese/figures/image-properties.png
/usr/share/help/de/cheese/figures/settings.png
/usr/share/help/de/cheese/index.page
/usr/share/help/de/cheese/introduction.page
/usr/share/help/de/cheese/legal.xml
/usr/share/help/de/cheese/photo-delete.page
/usr/share/help/de/cheese/photo-save.page
/usr/share/help/de/cheese/photo-take.page
/usr/share/help/de/cheese/photo-view.page
/usr/share/help/de/cheese/pref-countdown.page
/usr/share/help/de/cheese/pref-flash.page
/usr/share/help/de/cheese/pref-fullscreen.page
/usr/share/help/de/cheese/pref-image-properties.page
/usr/share/help/de/cheese/pref-resolution.page
/usr/share/help/de/cheese/video-record.page
/usr/share/help/el/cheese/burst-mode.page
/usr/share/help/el/cheese/effects-apply.page
/usr/share/help/el/cheese/figures/cheese-delete.png
/usr/share/help/el/cheese/figures/cheese-effects.png
/usr/share/help/el/cheese/figures/cheese-introduction.png
/usr/share/help/el/cheese/figures/cheese-record.png
/usr/share/help/el/cheese/figures/cheese-save.png
/usr/share/help/el/cheese/figures/cheese-take.png
/usr/share/help/el/cheese/figures/cheese.png
/usr/share/help/el/cheese/figures/effects.png
/usr/share/help/el/cheese/figures/image-properties.png
/usr/share/help/el/cheese/figures/settings.png
/usr/share/help/el/cheese/index.page
/usr/share/help/el/cheese/introduction.page
/usr/share/help/el/cheese/legal.xml
/usr/share/help/el/cheese/photo-delete.page
/usr/share/help/el/cheese/photo-save.page
/usr/share/help/el/cheese/photo-take.page
/usr/share/help/el/cheese/photo-view.page
/usr/share/help/el/cheese/pref-countdown.page
/usr/share/help/el/cheese/pref-flash.page
/usr/share/help/el/cheese/pref-fullscreen.page
/usr/share/help/el/cheese/pref-image-properties.page
/usr/share/help/el/cheese/pref-resolution.page
/usr/share/help/el/cheese/video-record.page
/usr/share/help/es/cheese/burst-mode.page
/usr/share/help/es/cheese/effects-apply.page
/usr/share/help/es/cheese/figures/cheese-delete.png
/usr/share/help/es/cheese/figures/cheese-effects.png
/usr/share/help/es/cheese/figures/cheese-introduction.png
/usr/share/help/es/cheese/figures/cheese-record.png
/usr/share/help/es/cheese/figures/cheese-save.png
/usr/share/help/es/cheese/figures/cheese-take.png
/usr/share/help/es/cheese/figures/cheese.png
/usr/share/help/es/cheese/figures/effects.png
/usr/share/help/es/cheese/figures/image-properties.png
/usr/share/help/es/cheese/figures/settings.png
/usr/share/help/es/cheese/index.page
/usr/share/help/es/cheese/introduction.page
/usr/share/help/es/cheese/legal.xml
/usr/share/help/es/cheese/photo-delete.page
/usr/share/help/es/cheese/photo-save.page
/usr/share/help/es/cheese/photo-take.page
/usr/share/help/es/cheese/photo-view.page
/usr/share/help/es/cheese/pref-countdown.page
/usr/share/help/es/cheese/pref-flash.page
/usr/share/help/es/cheese/pref-fullscreen.page
/usr/share/help/es/cheese/pref-image-properties.page
/usr/share/help/es/cheese/pref-resolution.page
/usr/share/help/es/cheese/video-record.page
/usr/share/help/fi/cheese/burst-mode.page
/usr/share/help/fi/cheese/effects-apply.page
/usr/share/help/fi/cheese/figures/cheese-delete.png
/usr/share/help/fi/cheese/figures/cheese-effects.png
/usr/share/help/fi/cheese/figures/cheese-introduction.png
/usr/share/help/fi/cheese/figures/cheese-record.png
/usr/share/help/fi/cheese/figures/cheese-save.png
/usr/share/help/fi/cheese/figures/cheese-take.png
/usr/share/help/fi/cheese/figures/cheese.png
/usr/share/help/fi/cheese/figures/effects.png
/usr/share/help/fi/cheese/figures/image-properties.png
/usr/share/help/fi/cheese/figures/settings.png
/usr/share/help/fi/cheese/index.page
/usr/share/help/fi/cheese/introduction.page
/usr/share/help/fi/cheese/legal.xml
/usr/share/help/fi/cheese/photo-delete.page
/usr/share/help/fi/cheese/photo-save.page
/usr/share/help/fi/cheese/photo-take.page
/usr/share/help/fi/cheese/photo-view.page
/usr/share/help/fi/cheese/pref-countdown.page
/usr/share/help/fi/cheese/pref-flash.page
/usr/share/help/fi/cheese/pref-fullscreen.page
/usr/share/help/fi/cheese/pref-image-properties.page
/usr/share/help/fi/cheese/pref-resolution.page
/usr/share/help/fi/cheese/video-record.page
/usr/share/help/fr/cheese/burst-mode.page
/usr/share/help/fr/cheese/effects-apply.page
/usr/share/help/fr/cheese/figures/cheese-delete.png
/usr/share/help/fr/cheese/figures/cheese-effects.png
/usr/share/help/fr/cheese/figures/cheese-introduction.png
/usr/share/help/fr/cheese/figures/cheese-record.png
/usr/share/help/fr/cheese/figures/cheese-save.png
/usr/share/help/fr/cheese/figures/cheese-take.png
/usr/share/help/fr/cheese/figures/cheese.png
/usr/share/help/fr/cheese/figures/effects.png
/usr/share/help/fr/cheese/figures/image-properties.png
/usr/share/help/fr/cheese/figures/settings.png
/usr/share/help/fr/cheese/index.page
/usr/share/help/fr/cheese/introduction.page
/usr/share/help/fr/cheese/legal.xml
/usr/share/help/fr/cheese/photo-delete.page
/usr/share/help/fr/cheese/photo-save.page
/usr/share/help/fr/cheese/photo-take.page
/usr/share/help/fr/cheese/photo-view.page
/usr/share/help/fr/cheese/pref-countdown.page
/usr/share/help/fr/cheese/pref-flash.page
/usr/share/help/fr/cheese/pref-fullscreen.page
/usr/share/help/fr/cheese/pref-image-properties.page
/usr/share/help/fr/cheese/pref-resolution.page
/usr/share/help/fr/cheese/video-record.page
/usr/share/help/gl/cheese/burst-mode.page
/usr/share/help/gl/cheese/effects-apply.page
/usr/share/help/gl/cheese/figures/cheese-delete.png
/usr/share/help/gl/cheese/figures/cheese-effects.png
/usr/share/help/gl/cheese/figures/cheese-introduction.png
/usr/share/help/gl/cheese/figures/cheese-record.png
/usr/share/help/gl/cheese/figures/cheese-save.png
/usr/share/help/gl/cheese/figures/cheese-take.png
/usr/share/help/gl/cheese/figures/cheese.png
/usr/share/help/gl/cheese/figures/effects.png
/usr/share/help/gl/cheese/figures/image-properties.png
/usr/share/help/gl/cheese/figures/settings.png
/usr/share/help/gl/cheese/index.page
/usr/share/help/gl/cheese/introduction.page
/usr/share/help/gl/cheese/legal.xml
/usr/share/help/gl/cheese/photo-delete.page
/usr/share/help/gl/cheese/photo-save.page
/usr/share/help/gl/cheese/photo-take.page
/usr/share/help/gl/cheese/photo-view.page
/usr/share/help/gl/cheese/pref-countdown.page
/usr/share/help/gl/cheese/pref-flash.page
/usr/share/help/gl/cheese/pref-fullscreen.page
/usr/share/help/gl/cheese/pref-image-properties.page
/usr/share/help/gl/cheese/pref-resolution.page
/usr/share/help/gl/cheese/video-record.page
/usr/share/help/hu/cheese/burst-mode.page
/usr/share/help/hu/cheese/effects-apply.page
/usr/share/help/hu/cheese/figures/cheese-delete.png
/usr/share/help/hu/cheese/figures/cheese-effects.png
/usr/share/help/hu/cheese/figures/cheese-introduction.png
/usr/share/help/hu/cheese/figures/cheese-record.png
/usr/share/help/hu/cheese/figures/cheese-save.png
/usr/share/help/hu/cheese/figures/cheese-take.png
/usr/share/help/hu/cheese/figures/cheese.png
/usr/share/help/hu/cheese/figures/effects.png
/usr/share/help/hu/cheese/figures/image-properties.png
/usr/share/help/hu/cheese/figures/settings.png
/usr/share/help/hu/cheese/index.page
/usr/share/help/hu/cheese/introduction.page
/usr/share/help/hu/cheese/legal.xml
/usr/share/help/hu/cheese/photo-delete.page
/usr/share/help/hu/cheese/photo-save.page
/usr/share/help/hu/cheese/photo-take.page
/usr/share/help/hu/cheese/photo-view.page
/usr/share/help/hu/cheese/pref-countdown.page
/usr/share/help/hu/cheese/pref-flash.page
/usr/share/help/hu/cheese/pref-fullscreen.page
/usr/share/help/hu/cheese/pref-image-properties.page
/usr/share/help/hu/cheese/pref-resolution.page
/usr/share/help/hu/cheese/video-record.page
/usr/share/help/id/cheese/burst-mode.page
/usr/share/help/id/cheese/effects-apply.page
/usr/share/help/id/cheese/figures/cheese-delete.png
/usr/share/help/id/cheese/figures/cheese-effects.png
/usr/share/help/id/cheese/figures/cheese-introduction.png
/usr/share/help/id/cheese/figures/cheese-record.png
/usr/share/help/id/cheese/figures/cheese-save.png
/usr/share/help/id/cheese/figures/cheese-take.png
/usr/share/help/id/cheese/figures/cheese.png
/usr/share/help/id/cheese/figures/effects.png
/usr/share/help/id/cheese/figures/image-properties.png
/usr/share/help/id/cheese/figures/settings.png
/usr/share/help/id/cheese/index.page
/usr/share/help/id/cheese/introduction.page
/usr/share/help/id/cheese/legal.xml
/usr/share/help/id/cheese/photo-delete.page
/usr/share/help/id/cheese/photo-save.page
/usr/share/help/id/cheese/photo-take.page
/usr/share/help/id/cheese/photo-view.page
/usr/share/help/id/cheese/pref-countdown.page
/usr/share/help/id/cheese/pref-flash.page
/usr/share/help/id/cheese/pref-fullscreen.page
/usr/share/help/id/cheese/pref-image-properties.page
/usr/share/help/id/cheese/pref-resolution.page
/usr/share/help/id/cheese/video-record.page
/usr/share/help/pt_BR/cheese/burst-mode.page
/usr/share/help/pt_BR/cheese/effects-apply.page
/usr/share/help/pt_BR/cheese/figures/cheese-delete.png
/usr/share/help/pt_BR/cheese/figures/cheese-effects.png
/usr/share/help/pt_BR/cheese/figures/cheese-introduction.png
/usr/share/help/pt_BR/cheese/figures/cheese-record.png
/usr/share/help/pt_BR/cheese/figures/cheese-save.png
/usr/share/help/pt_BR/cheese/figures/cheese-take.png
/usr/share/help/pt_BR/cheese/figures/cheese.png
/usr/share/help/pt_BR/cheese/figures/effects.png
/usr/share/help/pt_BR/cheese/figures/image-properties.png
/usr/share/help/pt_BR/cheese/figures/settings.png
/usr/share/help/pt_BR/cheese/index.page
/usr/share/help/pt_BR/cheese/introduction.page
/usr/share/help/pt_BR/cheese/legal.xml
/usr/share/help/pt_BR/cheese/photo-delete.page
/usr/share/help/pt_BR/cheese/photo-save.page
/usr/share/help/pt_BR/cheese/photo-take.page
/usr/share/help/pt_BR/cheese/photo-view.page
/usr/share/help/pt_BR/cheese/pref-countdown.page
/usr/share/help/pt_BR/cheese/pref-flash.page
/usr/share/help/pt_BR/cheese/pref-fullscreen.page
/usr/share/help/pt_BR/cheese/pref-image-properties.page
/usr/share/help/pt_BR/cheese/pref-resolution.page
/usr/share/help/pt_BR/cheese/video-record.page
/usr/share/help/ru/cheese/burst-mode.page
/usr/share/help/ru/cheese/effects-apply.page
/usr/share/help/ru/cheese/figures/cheese-delete.png
/usr/share/help/ru/cheese/figures/cheese-effects.png
/usr/share/help/ru/cheese/figures/cheese-introduction.png
/usr/share/help/ru/cheese/figures/cheese-record.png
/usr/share/help/ru/cheese/figures/cheese-save.png
/usr/share/help/ru/cheese/figures/cheese-take.png
/usr/share/help/ru/cheese/figures/cheese.png
/usr/share/help/ru/cheese/figures/effects.png
/usr/share/help/ru/cheese/figures/image-properties.png
/usr/share/help/ru/cheese/figures/settings.png
/usr/share/help/ru/cheese/index.page
/usr/share/help/ru/cheese/introduction.page
/usr/share/help/ru/cheese/legal.xml
/usr/share/help/ru/cheese/photo-delete.page
/usr/share/help/ru/cheese/photo-save.page
/usr/share/help/ru/cheese/photo-take.page
/usr/share/help/ru/cheese/photo-view.page
/usr/share/help/ru/cheese/pref-countdown.page
/usr/share/help/ru/cheese/pref-flash.page
/usr/share/help/ru/cheese/pref-fullscreen.page
/usr/share/help/ru/cheese/pref-image-properties.page
/usr/share/help/ru/cheese/pref-resolution.page
/usr/share/help/ru/cheese/video-record.page
/usr/share/help/sl/cheese/burst-mode.page
/usr/share/help/sl/cheese/effects-apply.page
/usr/share/help/sl/cheese/figures/cheese-delete.png
/usr/share/help/sl/cheese/figures/cheese-effects.png
/usr/share/help/sl/cheese/figures/cheese-introduction.png
/usr/share/help/sl/cheese/figures/cheese-record.png
/usr/share/help/sl/cheese/figures/cheese-save.png
/usr/share/help/sl/cheese/figures/cheese-take.png
/usr/share/help/sl/cheese/figures/cheese.png
/usr/share/help/sl/cheese/figures/effects.png
/usr/share/help/sl/cheese/figures/image-properties.png
/usr/share/help/sl/cheese/figures/settings.png
/usr/share/help/sl/cheese/index.page
/usr/share/help/sl/cheese/introduction.page
/usr/share/help/sl/cheese/legal.xml
/usr/share/help/sl/cheese/photo-delete.page
/usr/share/help/sl/cheese/photo-save.page
/usr/share/help/sl/cheese/photo-take.page
/usr/share/help/sl/cheese/photo-view.page
/usr/share/help/sl/cheese/pref-countdown.page
/usr/share/help/sl/cheese/pref-flash.page
/usr/share/help/sl/cheese/pref-fullscreen.page
/usr/share/help/sl/cheese/pref-image-properties.page
/usr/share/help/sl/cheese/pref-resolution.page
/usr/share/help/sl/cheese/video-record.page
/usr/share/help/zh_CN/cheese/burst-mode.page
/usr/share/help/zh_CN/cheese/effects-apply.page
/usr/share/help/zh_CN/cheese/figures/cheese-delete.png
/usr/share/help/zh_CN/cheese/figures/cheese-effects.png
/usr/share/help/zh_CN/cheese/figures/cheese-introduction.png
/usr/share/help/zh_CN/cheese/figures/cheese-record.png
/usr/share/help/zh_CN/cheese/figures/cheese-save.png
/usr/share/help/zh_CN/cheese/figures/cheese-take.png
/usr/share/help/zh_CN/cheese/figures/cheese.png
/usr/share/help/zh_CN/cheese/figures/effects.png
/usr/share/help/zh_CN/cheese/figures/image-properties.png
/usr/share/help/zh_CN/cheese/figures/settings.png
/usr/share/help/zh_CN/cheese/index.page
/usr/share/help/zh_CN/cheese/introduction.page
/usr/share/help/zh_CN/cheese/legal.xml
/usr/share/help/zh_CN/cheese/photo-delete.page
/usr/share/help/zh_CN/cheese/photo-save.page
/usr/share/help/zh_CN/cheese/photo-take.page
/usr/share/help/zh_CN/cheese/photo-view.page
/usr/share/help/zh_CN/cheese/pref-countdown.page
/usr/share/help/zh_CN/cheese/pref-flash.page
/usr/share/help/zh_CN/cheese/pref-fullscreen.page
/usr/share/help/zh_CN/cheese/pref-image-properties.page
/usr/share/help/zh_CN/cheese/pref-resolution.page
/usr/share/help/zh_CN/cheese/video-record.page
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/org.gnome.Cheese.gschema.xml
%{_datadir}/appdata/org.gnome.Cheese.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Cheese.service
%{_datadir}/dbus-1/services/org.gnome.Camera.service
%{_libexecdir}/gnome-camera-service

%files -n %{libname}
%{_libdir}/lib%{name}-gtk.so.%{major}*
%{_libdir}/lib%{name}.so.%{cheesemajor}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Cheese-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}-gtk.so
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/Cheese-%{girmajor}.gir


%changelog
* Sun Mar 18 2018 adrianomorselli <adrianomorselli> 3.14.2-2uplos2018
- reimported for uplos
